using System;
using System.Collections.Generic;

namespace Entidades;

public partial class Cliente
{
    public long dni { get; set; }

    public string nombre { get; set; } = null!;

    public string apellido { get; set; } = null!;

    public string domicilio { get; set; } = null!;

    public string celular { get; set; } = null!;

    public int? idusuario { get; set; }

    public virtual ICollection<Contrato> ContratodniinquilinoNavigations { get; set; } = new List<Contrato>();

    public virtual ICollection<Contrato> ContratodnipropietarioNavigations { get; set; } = new List<Contrato>();

    public virtual ICollection<Propiedade> Propiedades { get; set; } = new List<Propiedade>();

    public virtual ICollection<Venta> Ventaidprop_newNavigations { get; set; } = new List<Venta>();

    public virtual ICollection<Venta> Ventaidprop_oldNavigations { get; set; } = new List<Venta>();

    public virtual Usuario? idusuarioNavigation { get; set; }
}
